/*
 * $Id: TestResourcesFactory.java 354761 2005-12-07 15:11:58Z niallp $
 * $Revision: 354761 $
 * $Date: 2005-12-07 10:11:58 -0500 (Wed, 07 Dec 2005) $
 *
 * ====================================================================
 *
 *  Copyright 2003-2005 The Apache Software Foundation
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.commons.resources.impl;

import org.apache.commons.resources.Resources;
import org.apache.commons.resources.ResourcesException;

/**
 * <p>Concrete implementation of {@link ResourcesFactory} for unit tests.</p>
 */
public class TestResourcesFactory extends ResourcesFactoryBase {

    /**
     * <p>Create and return a new {@link Resources} instance with the
     * specified logical name, after calling its <code>init()</code>
     * method.</p>
     *
     * @param name Logical name of the {@link Resources} instance to create
     * @param config Configuration string for this resource (if any)
     *
     * @exception ResourcesException if a {@link Resources} instance
     *  of the specified logical name cannot be created.
     */
    protected Resources createResources(String name, String config)
        throws ResourcesException {

        Resources res = new TestResources(name);
        res.init();
        res.setReturnNull(isReturnNull());
        return (res);

    }


}
